Subject: Re: [bug#75144] [PATCH v3 2/2] machine: Implement 'hetzner-environment-type'.

From: Roman Scherer <[email-masked]>
Date: Tue, 11 Feb 2025 10:24:31 +0100

Hello,

I just send another patch for the news entry to this bug number.

Could someone please review it?

Thanks, Roman

Roman Scherer <[email-masked]> writes:

> Hi Ludo, and everyone still listening,
>
> thanks for merging it and your help on this! I plan to submit a news
> entry patch tomorrow.
>
> I don't have the time for a blog post unfortunatly. Too busy with other
> things at the moment, sorry. :/ Maybe another time.
>
> Another feedback I wanted to mention. We should really aim to improve on
> substitute availability and stability of Guix if we want people to rely
> on Guix and `guix deploy`. I think this was also mentioned in the
> survey.
>
> While working on this the user experience of guix deploy really
> shined/falled, depending on substitute availability and stability. I'm
> probably biased and having bad luck with aarch-64 based Guix systems.
>
> For example, using the ARM based servers (which are cheaper than x86)
> with Guix on Hetzner can lead to a headache if you or the the servers
> you deploy to start building Rust and friends. :/
>
> I think we get there, thanks again, and happy hacking!
>
> Roman
>
> Ludovic Courtès <[email-masked]> writes:
>
>> Hello Roman,
>>
>> Applied with the one-line change below.
>>
>> I wasn’t able to run tests that require an API token because I don’t
>> have one (but I may well give that a try eventually); other tests went
>> well.
>>
>> Feel free to submit an entry for ‘etc/news.scm’ (make sure to provide
>> enough context so users can tell whether this is something of interest
>> to them).  A blog post for guix.gnu.org/blog showing how you use it and
>> how it’s implemented would also be welcome if you feel so inclined!
>>
>> Thanks for all the work!
>>
>> Ludo’.